package com.emr.entity.recordLock;

public class Emr_Lock {
    private Integer id;

    private Integer userId;

    private String patientId;

    private String admissTimes;

    private String inpatientNo;

    private Integer lockState;

    private String locker;

    private String lockeTime;

    private String unlocker;

    private String unlockeTime;

    private String remarke;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId == null ? null : patientId.trim();
    }

    public String getAdmissTimes() {
        return admissTimes;
    }

    public void setAdmissTimes(String admissTimes) {
        this.admissTimes = admissTimes == null ? null : admissTimes.trim();
    }

    public String getInpatientNo() {
        return inpatientNo;
    }

    public void setInpatientNo(String inpatientNo) {
        this.inpatientNo = inpatientNo == null ? null : inpatientNo.trim();
    }

    public Integer getLockState() {
        return lockState;
    }

    public void setLockState(Integer lockState) {
        this.lockState = lockState;
    }

    public String getLocker() {
        return locker;
    }

    public void setLocker(String locker) {
        this.locker = locker == null ? null : locker.trim();
    }

    public String getLockeTime() {
        return lockeTime;
    }

    public void setLockeTime(String lockeTime) {
        this.lockeTime = lockeTime == null ? null : lockeTime.trim();
    }

    public String getUnlocker() {
        return unlocker;
    }

    public void setUnlocker(String unlocker) {
        this.unlocker = unlocker == null ? null : unlocker.trim();
    }

    public String getUnlockeTime() {
        return unlockeTime;
    }

    public void setUnlockeTime(String unlockeTime) {
        this.unlockeTime = unlockeTime == null ? null : unlockeTime.trim();
    }

    public String getRemarke() {
        return remarke;
    }

    public void setRemarke(String remarke) {
        this.remarke = remarke == null ? null : remarke.trim();
    }
}